From 23758c9999fc3f11691e7125b6d04ec676cf8511 Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <sgallagh@redhat.com>
Date: Tue, 9 Apr 2013 10:52:52 -0400
Subject: [PATCH 1/2] Rename output to libcares19

---
 Makefile.am      | 32 ++++++++++++++++----------------
 configure.ac     |  2 +-
 libcares.pc.in   | 20 --------------------
 libcares19.pc.in | 20 ++++++++++++++++++++
 4 files changed, 37 insertions(+), 37 deletions(-)
 delete mode 100644 libcares.pc.in
 create mode 100644 libcares19.pc.in

diff --git a/Makefile.am b/Makefile.am
index 063406dbf5a4f5f5705a9de359c9dae7bcdcba53..7d3aafc71d1d9221a1bf854c9b2eeb984dd2ab69 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -34,7 +34,7 @@ INCLUDES = -I$(top_builddir) \
            -I$(top_srcdir)
 endif
 
-lib_LTLIBRARIES = libcares.la
+lib_LTLIBRARIES = libcares19.la
 
 man_MANS = $(MANPAGES)
 
@@ -53,7 +53,7 @@ noinst_PROGRAMS =$(PROGS)
 # regular sources and headers
 EXTRA_DIST = AUTHORS CHANGES README.cares Makefile.inc Makefile.dj	   \
  Makefile.m32 Makefile.netware Makefile.msvc Makefile.Watcom $(man_MANS)   \
- config-win32.h RELEASE-NOTES libcares.pc.in buildconf get_ver.awk maketgz \
+ config-win32.h RELEASE-NOTES libcares19.pc.in buildconf get_ver.awk maketgz \
  TODO ares_build.h.in $(PDFPAGES) cares.rc README.msvc $(MSVCFILES)	   \
  $(CSOURCES) $(HHEADERS) config-dos.h acountry.1 adig.1 ahost.1 INSTALL
 
@@ -62,7 +62,7 @@ CLEANFILES = $(PDFPAGES) $(HTMLPAGES)
 DISTCLEANFILES = ares_build.h
 
 pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = libcares.pc
+pkgconfig_DATA = libcares19.pc
 
 VER=-version-info 2:0:0
 # This flag accepts an argument of the form current[:revision[:age]]. So,
@@ -98,7 +98,7 @@ if NO_UNDEFINED
 UNDEF = -no-undefined
 endif
 
-libcares_la_LDFLAGS = $(UNDEF) $(VER)
+libcares19_la_LDFLAGS = $(UNDEF) $(VER)
 
 # Add -Werror if defined
 CFLAGS += @CARES_CFLAG_EXTRAS@
@@ -114,43 +114,43 @@ endif
 
 if DOING_CARES_SYMBOL_HIDING
 if USE_CPPFLAG_CARES_BUILDING_LIBRARY
-libcares_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_SYMBOL_HIDING -DCARES_BUILDING_LIBRARY
+libcares19_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_SYMBOL_HIDING -DCARES_BUILDING_LIBRARY
 else
-libcares_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_SYMBOL_HIDING
+libcares19_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_SYMBOL_HIDING
 endif
-libcares_la_CFLAGS = $(AM_CFLAGS) $(CFLAG_CARES_SYMBOL_HIDING)
+libcares19_la_CFLAGS = $(AM_CFLAGS) $(CFLAG_CARES_SYMBOL_HIDING)
 else
 if USE_CPPFLAG_CARES_BUILDING_LIBRARY
-libcares_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_BUILDING_LIBRARY
+libcares19_la_CPPFLAGS = $(AM_CPPFLAGS) -DCARES_BUILDING_LIBRARY
 else
-libcares_la_CPPFLAGS = $(AM_CPPFLAGS)
+libcares19_la_CPPFLAGS = $(AM_CPPFLAGS)
 endif
-libcares_la_CFLAGS = $(AM_CFLAGS)
+libcares19_la_CFLAGS = $(AM_CFLAGS)
 endif
 
 # Makefile.inc provides the CSOURCES and HHEADERS defines
 include Makefile.inc
 
-libcares_la_SOURCES = $(CSOURCES) $(HHEADERS)
+libcares19_la_SOURCES = $(CSOURCES) $(HHEADERS)
 
 # where to install the c-ares headers
-libcares_ladir = $(includedir)
+libcares19_ladir = $(includedir)/c-ares19/
 # what headers to install on 'make install':
-libcares_la_HEADERS = ares.h ares_version.h ares_dns.h \
+libcares19_la_HEADERS = ares.h ares_version.h ares_dns.h \
 	ares_build.h ares_rules.h
 
 ahost_SOURCES = ahost.c $(SAMPLESOURCES) $(SAMPLEHEADERS)
-ahost_LDADD = $(top_builddir)/libcares.la
+ahost_LDADD = $(top_builddir)/libcares19.la
 ahost_CFLAGS = $(AM_CFLAGS)
 ahost_CPPFLAGS = $(AM_CPPFLAGS)
 
 adig_SOURCES = adig.c $(SAMPLESOURCES) $(SAMPLEHEADERS)
-adig_LDADD = $(top_builddir)/libcares.la
+adig_LDADD = $(top_builddir)/libcares19.la
 adig_CFLAGS = $(AM_CFLAGS)
 adig_CPPFLAGS = $(AM_CPPFLAGS)
 
 acountry_SOURCES = acountry.c $(SAMPLESOURCES) $(SAMPLEHEADERS)
-acountry_LDADD = $(top_builddir)/libcares.la
+acountry_LDADD = $(top_builddir)/libcares19.la
 acountry_CFLAGS = $(AM_CFLAGS)
 acountry_CPPFLAGS = $(AM_CPPFLAGS)
 
diff --git a/configure.ac b/configure.ac
index f220b4389360ca628e65b3c7ebcb6584f0cfd3c0..be4a31dcad2fb84631ffecba7d1b1b1dcf19360c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -862,5 +862,5 @@ squeeze LIBS
 
 squeeze CARES_PRIVATE_LIBS
 
-AC_CONFIG_FILES([Makefile libcares.pc])
+AC_CONFIG_FILES([Makefile libcares19.pc])
 AC_OUTPUT
diff --git a/libcares.pc.in b/libcares.pc.in
deleted file mode 100644
index e757c1bcb671309d89ea3231efdecac2376a084a..0000000000000000000000000000000000000000
--- a/libcares.pc.in
+++ /dev/null
@@ -1,20 +0,0 @@
-#***************************************************************************
-# Project        ___       __ _ _ __ ___  ___ 
-#               / __|____ / _` | '__/ _ \/ __|
-#              | (_|_____| (_| | | |  __/\__ \
-#               \___|     \__,_|_|  \___||___/
-#
-prefix=@prefix@
-exec_prefix=@exec_prefix@
-libdir=@libdir@
-includedir=@includedir@
-
-Name: c-ares
-URL: http://daniel.haxx.se/projects/c-ares/
-Description: asynchronous DNS lookup library
-Version: @VERSION@
-Requires: 
-Requires.private: 
-Cflags: -I${includedir} @CPPFLAG_CARES_STATICLIB@
-Libs: -L${libdir} -lcares
-Libs.private: @CARES_PRIVATE_LIBS@
diff --git a/libcares19.pc.in b/libcares19.pc.in
new file mode 100644
index 0000000000000000000000000000000000000000..0c82e22fb1a099ac33a239b5d33a37d5c5e2b43c
--- /dev/null
+++ b/libcares19.pc.in
@@ -0,0 +1,20 @@
+#***************************************************************************
+# Project        ___       __ _ _ __ ___  ___ 
+#               / __|____ / _` | '__/ _ \/ __|
+#              | (_|_____| (_| | | |  __/\__ \
+#               \___|     \__,_|_|  \___||___/
+#
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: c-ares19
+URL: http://daniel.haxx.se/projects/c-ares/
+Description: asynchronous DNS lookup library
+Version: @VERSION@
+Requires: 
+Requires.private: 
+Cflags: -I${includedir}/c-ares19 @CPPFLAG_CARES_STATICLIB@
+Libs: -L${libdir} -lcares
+Libs.private: @CARES_PRIVATE_LIBS@
-- 
1.8.1.4

